> For the complete documentation index, see [llms.txt](https://docs.ggwp.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ggwp.com/kr/id-iam/api-scim/api-1/get-user.md).

# 사용자 가져오기

### 개요

고유 식별자로 사용자를 조회합니다.

이 엔드포인트는 Okta 또는 Microsoft Azure Active Directory와 같은 ID 공급자가 다음과 같은 작업에 사용합니다:

* 사용자 생성 확인
* 최신 사용자 상태 가져오기
* 프로비저닝 검증

***

### 엔드포인트

```bash
GET /Users/{id}
```

***

### 전체 URL

```bash
https://api.ggwp.com/scim/v2/Users/{id}
```

***

### 인증

```http
Authorization: Bearer <access_token>
```

***

## 경로 매개변수

<table><thead><tr><th width="143.5">매개변수</th><th width="148.5">유형</th><th>설명</th></tr></thead><tbody><tr><td>id</td><td>string</td><td>고유 사용자 식별자(scim_id)</td></tr></tbody></table>

***

## 응답

### 성공(200 OK)

```json
{
  "schemas": ["urn:ietf:params:scim:schemas:core:2.0:User"],
  "id": "c118d158-c11b-495b-ab88-f57c8ac473c0",
  "userName": "Temp_user_prod",
  "externalId": "ABC1900BE",
  "active": true,
  "name": {
    "givenName": "Temp",
    "familyName": "User"
  },
  "displayName": "Temp User",
  "emails": [
    {
      "value": "temp_user_us@example.com",
      "primary": true
    }
  ],
  "roles": [
    {
      "value": "admin"
    }
  ],
  "meta": {
    "resourceType": "User",
    "location": "https://api.ggwp.com/scim/v2/Users/c118d158-c11b-495b-ab88-f57c8ac473c0",
    "created": "2026-04-01T11:15:22Z",
    "lastModified": "2026-04-01T11:15:22Z"
  }
}
```

***

## 오류 응답

### 404 Not Found

```json
{
  "schemas": ["urn:ietf:params:scim:api:messages:2.0:Error"],
  "status": "404",
  "detail": "User not found"
}
```
